POST api/sitetimezoneapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
SiteTimeZoneViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| end_date | date |
Required |
|
| id | globally unique identifier |
None. |
|
| offset | decimal number |
Required |
|
| site_id | globally unique identifier |
Required |
|
| start_date | date |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"end_date": "2026-03-09T15:41:24.4298701+00:00",
"id": "721386c4-6473-42bb-bd5a-03e04b8a2a18",
"offset": 4.1,
"site_id": "91a3bd19-c854-48de-8545-2c85b4a88474",
"start_date": "2026-03-09T15:41:24.4298701+00:00"
}
application/xml, text/xml
Sample:
<SiteTimeZone xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <end_date>2026-03-09T15:41:24.4298701+00:00</end_date> <id>721386c4-6473-42bb-bd5a-03e04b8a2a18</id> <offset>4.1</offset> <site_id>91a3bd19-c854-48de-8545-2c85b4a88474</site_id> <start_date>2026-03-09T15:41:24.4298701+00:00</start_date> </SiteTimeZone>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"3096577c-ffd0-4add-980b-5a2ab6ed8558"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">3096577c-ffd0-4add-980b-5a2ab6ed8558</guid>